SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
DataStructures::Map< key_type, data_type, key_comparison_func >::MapNode Struct Reference

`#include <slikenet/DS_Map.h>`

## Public Member Functions

| MapNode ()
| MapNode (key_type _key, data_type _data)
MapNode & | operator= (const MapNode &input)
| MapNode (const MapNode &input)

## Public Attributes

key_type | mapNodeKey
data_type | mapNodeData

## Detailed Description

### template<class key_type, class data_type, int(*)(const key_type &, const key_type &) key_comparison_func = defaultMapKeyComparison<key_type>>
struct DataStructures::Map< key_type, data_type, key_comparison_func >::MapNode

Definition at line 52 of file DS_Map.h.

## Constructor & Destructor Documentation

template<class key_type, class data_type, int(*)(const key_type &, const key_type &) key_comparison_func = defaultMapKeyComparison<key_type>>

DataStructures::Map< key_type, data_type, key_comparison_func >::MapNode::MapNode | ( |  | ) |

inline

Definition at line 54 of file DS_Map.h.

template<class key_type, class data_type, int(*)(const key_type &, const key_type &) key_comparison_func = defaultMapKeyComparison<key_type>>

DataStructures::Map< key_type, data_type, key_comparison_func >::MapNode::MapNode | ( | key_type | _key,
|  | data_type | _data
| ) |  |

inline

Definition at line 55 of file DS_Map.h.

template<class key_type, class data_type, int(*)(const key_type &, const key_type &) key_comparison_func = defaultMapKeyComparison<key_type>>

DataStructures::Map< key_type, data_type, key_comparison_func >::MapNode::MapNode | ( | const MapNode & | input | ) |

inline

Definition at line 57 of file DS_Map.h.

References DataStructures::Map< key_type, data_type, key_comparison_func >::MapNode::mapNodeData, and DataStructures::Map< key_type, data_type, key_comparison_func >::MapNode::mapNodeKey.

## Member Function Documentation

template<class key_type, class data_type, int(*)(const key_type &, const key_type &) key_comparison_func = defaultMapKeyComparison<key_type>>

MapNode& DataStructures::Map< key_type, data_type, key_comparison_func >::MapNode::operator= | ( | const MapNode & | input | ) |

inline

Definition at line 56 of file DS_Map.h.

References DataStructures::Map< key_type, data_type, key_comparison_func >::MapNode::mapNodeData, and DataStructures::Map< key_type, data_type, key_comparison_func >::MapNode::mapNodeKey.

## Member Data Documentation

template<class key_type, class data_type, int(*)(const key_type &, const key_type &) key_comparison_func = defaultMapKeyComparison<key_type>>

data_type DataStructures::Map< key_type, data_type, key_comparison_func >::MapNode::mapNodeData

Definition at line 59 of file DS_Map.h.

Referenced by DataStructures::Map< key_type, data_type, key_comparison_func >::MapNode::MapNode(), and DataStructures::Map< key_type, data_type, key_comparison_func >::MapNode::operator=().

template<class key_type, class data_type, int(*)(const key_type &, const key_type &) key_comparison_func = defaultMapKeyComparison<key_type>>

key_type DataStructures::Map< key_type, data_type, key_comparison_func >::MapNode::mapNodeKey

Definition at line 58 of file DS_Map.h.

Referenced by DataStructures::Map< key_type, data_type, key_comparison_func >::MapNode::MapNode(), and DataStructures::Map< key_type, data_type, key_comparison_func >::MapNode::operator=().

The documentation for this struct was generated from the following file:

- Source/include/slikenet/DS_Map.h